<?
session_start();
if ($_SESSION['intentos']>=100) {
	header("Location: http://www.agenciacreativa.net");
	exit;
}

if (isset($_POST['usuario']) && isset($_POST['pass']) && $_POST['usuario']!="" && $_POST['pass']!="") {
	
	$usuario = $_POST['usuario'];
	$pass = $_POST['pass'];
	
if ($_POST['refer']=="09") {
$dsn="TELEFONIA";//debe ser de sistema no de usuario	
}
else {
$dsn="DBRENT";//debe ser de sistema no de usuario
}
$usuario_bd="CV";
$password="1929";
$cid=odbc_connect($dsn,$usuario_bd,$password);
if (!$cid){
	exit("Error al conectarse con el origen de datos.");
}

//una vez establecida la conexion
	$sql = "SELECT * FROM POTENCIALES WHERE USUARIO_WEB='$usuario' AND WEB_ACTIVO='1'";
	$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
	
	$num_results = odbc_fetch_row($result);
	if ($num_results==0) {
		++$_SESSION['intentos'];

	if ($_SESSION['intentos']<=5) {
	header("Location: acceso.php?refer=".$_POST['refer']);
	}
	else {
	header("Location: http://www.agenciacreativa.net");
	}
	}
	else {
		//comparamos el password y si es correcto creamos las variables de sesion
		$sql = "SELECT * FROM POTENCIALES WHERE USUARIO_WEB='$usuario' AND WEB_ACTIVO='1'";
	$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
	while ($row = odbc_fetch_array($result)) {
		
		$usuario_bbd = $row['USUARIO_WEB'];
   $password_bbdd = $row['CONTRASE_WEB'];
		if ($password_bbdd==$pass) {
			$_SESSION['usuario_web'] = $_POST['usuario'];
			$_SESSION['pass'] = $_POST['pass'];
			//logeamos, creamos variables de sesion
			$_SESSION['conectado'] = 'si';
			$_SESSION['potencial'] = $row['NUMERO'];
			$_SESSION['cliente'] = $row['CLIENTE'];
			$_SESSION['chofer'] = $row['CHOFER'];
			$_SESSION['provee'] = $row['PROVEE'];
			$_SESSION['personal'] = $row['PERSONAL'];
			$_SESSION['nombre'] = $row['NOMBRE'];
			$_SESSION['telefono']=$row['MOVIL'];
			$_SESSION['email']= $row['EMAIL'];
			if($row['AGENTE']){$_SESSION['agente']=true;}
			//if (substr($row['COMI'],-3,3)=="000") {
			$_SESSION['comi'] = $row['COMI'];
			$num = substr($row['COMI'],4,7);
			if($num =='000'){
				$_SESSION['comercio_asociado']=false;
			}
			else{
				$_SESSION['comercio_asociado']=true;
			}
			$num = substr($row['NUMERO'],0,2);
			$_SESSION['numero']=$row['NUMERO'];
			$_SESSION['empresa']=$num;
			
			if($num=='08'){
				$_SESSION['taxilorca'] = true;
				
				$_SESSION['oficina'] = "C3";
				$_SESSION['medio'] = "11";
				$_SESSION['usuario'] = "WA";
				$_SESSION['origen'] = "71";
			}
			elseif ($num=="09") {
				
				$_SESSION['oficina'] = "OR";
				$_SESSION['medio'] = "14";
				$_SESSION['usuario'] = "WO";
				$_SESSION['origen'] = "64";
				
				$_SESSION['taxilorca']=false;
				
			}
			else{
				
				$_SESSION['oficina'] = "C1";
				$_SESSION['medio'] = "14";
				$_SESSION['usuario'] = "WT";
				$_SESSION['origen'] = "64";
				
				$_SESSION['taxilorca']=false;}
				
			//}
			//else {
				//echo 'asociado';
			//}
			//exit;
			
			//$_SESSION['comi'] = $row['COMI'];
 			
			
			//nos vamos al index
			header("Location: index.php");
			
		}
		else {
			//no coincide pass
			++$_SESSION['intentos'];

	if ($_SESSION['intentos']<=5) {
	header("Location: acceso.php?refer=".$_POST['refer']);
	}
	else {
	header("Location: http://www.agenciacreativa.net");
	}
		}
	}
	
	}
	
}
else {
	header("Location: acceso.php?refer=".$_POST['refer']);
	++$_SESSION['intentos'];
}



?>